package com.srs.stureg.mapper;

import java.util.List;
import com.srs.stureg.domain.SrsStuDorm;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author srs
 * @date 2023-07-24
 */
public interface SrsStuDormMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public SrsStuDorm selectSrsStuDormById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param srsStuDorm 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<SrsStuDorm> selectSrsStuDormList(SrsStuDorm srsStuDorm);

    /**
     * 新增【请填写功能名称】
     * 
     * @param srsStuDorm 【请填写功能名称】
     * @return 结果
     */
    public int insertSrsStuDorm(SrsStuDorm srsStuDorm);

    /**
     * 修改【请填写功能名称】
     * 
     * @param srsStuDorm 【请填写功能名称】
     * @return 结果
     */
    public int updateSrsStuDorm(SrsStuDorm srsStuDorm);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteSrsStuDormById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSrsStuDormByIds(Long[] ids);
}
